Subject: mac version of gb2pinyin

From: Liedong Zheng <[email-masked]>
Date: Sat, 17 Apr 1993 23:39:52 -0400

Hi:
        Tommi Kaikkonen's unix version of gb2pinyin is ported to mac. It is
compressed by compact pro, and self-extractable, archived on
ifcss.org:software/mac/convert/gb2pinyin.hqx. The readme file is included FYI.

Liedong

------------------gb2pinyin.readme-------------------------------------------
                             gb2pinyin.readme

This is a quick-n-dirty port of Tommi Kaikkonen's  unix version of
gb2pinyin. It does NOT have usual Macintosh interface. All credits
should go to Tommi Kaikkonen <[email-masked]>

gb2pinyin  translates GB encoding to tone pinyin (chinese), and is amid to
help those whose native language is not Chinese.

How to use it:

Make sure the application gb2pinyin and the dictionary file TONEPY.tit are in
 the same folder. Lunch gb2pinyin by double-
clicking on its icon. On the console window, click on the file radio
button under Standard Input, and select a file that you want to
convert, click on the file radio button under Standard Output, and
give a destination file name, optionally put a "-m" for mutiple
search on the command line. Click OK, and you are all set.

Please report bugs to Liedong Zheng  at
<[email-masked]>

The following is the man page from  Tommi Kaikkonen's original
program.

Liedong Zheng

--------------included-------------------------
gb2pinyin reads the standard input and writes to standard output.

Option -m switches gb2pinyin to search for every possible way to
say the GB characters. Without option -m gb2pinyin treats every
characters according to its first translation in the TONEPY.tit file.

gb2pinyin lets usual ASCII characters to pass-by, but the
characters over 128 (decimal) will be translated according to their
tone pinyin pronounciation. Tone pinyin is a way to write spoken
chinese with roman characters.

This translator can be used as a filter.

File TONEPY.tit is used as translation dictionnary.

---------------------------------end-------------------------------------------